This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 539912 - Review Request: javacsv - Stream-based Java library for reading and writing CSV and other delimited data
Review Request: javacsv - Stream-based Java library for reading and writing C...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mathys
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 10:35 EST by Andreas Osowski
Modified: 2010-10-29 16:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: javacsv-2.0-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-21 07:09:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sandro: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Osowski 2009-11-21 10:35:49 EST
Spec URL: http://th0br0.fedorapeople.org/javacsv-2.0/javacsv.spec
SRPM URL: http://th0br0.fedorapeople.org/javacsv-2.0/javacsv-2.0-1.fc12.src.rpm

Description:
Java CSV is a small fast open source Java 
library for reading and writing CSV and plain
delimited text files. All kinds of CSV files
can be handled, text qualified, Excel formatted, etc.

Currently, there are no %doc files being installed,
this is due to upstream not shipping any.
I have contacted upstream as the license text is missing,
which is a violation of the GPL.
This will be fixed of course before any build is done,
once upstream releases an update, I shall update the package
immediately.
Comment 1 Andreas Osowski 2009-11-25 08:11:14 EST
Based upon some discussion in #fedora-devel today,
this missing license file appears not to be a violation of the license,
I guess the rpmlint message for no doc files included can be ignored...
(and the package be reviewed as it is right now)

Sorry for that violation talk in #1 then :)
Comment 2 Sandro Mathys 2009-11-28 15:27:23 EST
MUST Items
Items marked as MUST are things that the package (or reviewer) MUST do. If a package fails a MUST item, that is considered a blocker. No package with blockers can be approved on a review. Those items must be fixed before approval can be given.

 * MUST: rpmlint must be run on every package. The output should be posted in the review.
OK

$ rpmlint {SPECS,RPMS/noarch,SRPMS}/javacsv*
javacsv.noarch: W: no-documentation
3 packages and 1 specfiles checked; 0 errors, 1 warnings

There's nothing in the upstream package that could be added to %doc so it's fine to ignore this warning.

 * MUST: The package must be named according to the Package Naming Guidelines.
OK
 * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK
 * MUST: The package must meet the Packaging Guidelines.
OK
 * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
OK
 * MUST: The License field in the package spec file must match the actual license.
OK
 * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
N/A
 * MUST: The spec file must be written in American English. 
OK
 * MUST: The spec file for the package MUST be legible. 
OK
 * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK

$ sha1sum javacsv2.0.zip SOURCES/javacsv2.0.zip
3c9208d4584b7163023757ff7c928befca7ef56c  javacsv2.0.zip
3c9208d4584b7163023757ff7c928befca7ef56c  SOURCES/javacsv2.0.zip

 * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK
 * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
N/A
 * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK
 * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A
 * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
N/A
 * MUST: Packages must NOT bundle copies of system libraries.
OK
 * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
N/A
 * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK
 * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK
 * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK
 * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK
 * MUST: Each package must consistently use macros. 
OK
 * MUST: The package must contain code, or permissable content. 
OK
 * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK (javadoc)
 * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
N/A
 * MUST: Header files must be in a -devel package. 
N/A
 * MUST: Static libraries must be in a -static package. 
N/A
 * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
N/A
 * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in.so (without suffix) must go in a -devel package. 
N/A
 * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A
 * MUST: Packages must NOT contain any.la libtool archives, these must be removed in the spec if they are built.
N/A
 * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a.desktop file, you must put a comment in the spec file with your explanation. 
N/A
 * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK
 * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK
 * MUST: All filenames in rpm packages must be valid UTF-8. 
OK


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

 * SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
N/A - upstream is unresponsive
 * SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
N/A
 * SHOULD: The reviewer should test that the package builds in mock. 
OK
 * SHOULD: The package should compile and build into binary rpms on all supported architectures. 
OK
 * SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
N/A
 * SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
N/A
 * SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
OK
 * SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
N/A
 * SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
N/A

---

This package is ready for approval but I ask you to fix the thing I mentioned earlier tonight in IRC: In %{_javadir} and %{_javadocdir} there should be a symlink from %{name} to %{name}-%{version}.

Also, I'd not add %{_javadir}/* to %files as this is _very_ generic and dangerous. You should add %{_javadir}/%{name} and %{_javadir}/%{name}-%{version} to the list instead.
Comment 4 Sandro Mathys 2009-11-29 06:38:54 EST
I see all I asked for is done but the legibility somewhat suffered from this. Creating the correct symlinks is much easier than you think.

Instead of:
pushd .
cd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar %{name}.jar
popd

Simply do:
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

This will have the very same result. Still, if you prefer your way of creating the symlink at least replace:
pushd .
cd $RPM_BUILD_ROOT%{_javadir}

With:
pushd $RPM_BUILD_ROOT%{_javadir}

That will result in the same thing (i.e. popd bringing you back to where you were).

Of course, all of the above also goes for the javadoc stuff. We should finally be ready for approval after those changes.
Comment 5 Andreas Osowski 2009-11-29 09:03:17 EST
SPEC URL: http://th0br0.fedorapeople.org/javacsv-2.0/javacsv.spec
SRPM URL: http://th0br0.fedorapeople.org/javacsv-2.0/javacsv-2.0-3.fc12.src.rpm

* Sun Nov 29 2009 Andreas Osowski <th0br0@mkdir.name> - 2.0-3
- Cosmetic Changes
Comment 6 Sandro Mathys 2009-11-29 09:09:31 EST
-------------------------------------------------------------
   This package (javacsv) is APPROVED by red (Sandro Mathys)
-------------------------------------------------------------
Comment 7 Andreas Osowski 2009-11-29 09:11:57 EST
New Package CVS Request
=======================
Package Name: javacsv
Short Description: Stream-based Java library for reading and writing CSV and other delimited data
Owners: th0br0
Branches: F-11 F-12
Comment 8 Jason Tibbitts 2009-12-01 14:11:10 EST
CVS done.
Comment 9 Fedora Update System 2009-12-08 08:42:54 EST
javacsv-2.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/javacsv-2.0-3.fc12
Comment 10 Fedora Update System 2009-12-08 08:44:04 EST
javacsv-2.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/javacsv-2.0-3.fc11
Comment 11 Fedora Update System 2009-12-09 23:11:01 EST
javacsv-2.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update javacsv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12955
Comment 12 Fedora Update System 2009-12-09 23:12:10 EST
javacsv-2.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update javacsv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12964
Comment 13 Fedora Update System 2010-10-29 16:40:30 EDT
javacsv-2.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.